import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/quartz/job/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/quartz/job/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/quartz/job/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/quartz/job/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/quartz/job/update',
    method: 'post',
    data: row
  })
}

export const runJob = (row) => {
  return request({
    url: '/api/quartz/job/run',
    method: 'put',
    data: row
  })
}

